DownloadMetricDataImage

1 - 1.1

post /v1/metrics/data/download/image

Description

Download metric data image

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataImageRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data/download/image

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "end": 1640995440,
    "height": 400,
    "metrics": [
        {
            "color": "#0000ff",
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG",
    "timezone": "UTC",
    "title": "Virtual Server Metric Chart",
    "width": 600
}

Example HTTP response

Response 200

2 - 1.0

post /v1/metrics/data/download/image

Description

Download metric data image

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

MetricDataImageRequest

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/metrics/data/download/image

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "end": 1640995440,
    "height": 400,
    "metrics": [
        {
            "color": "#0000ff",
            "dimensions": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "display_name": "Virtual Server | VirtualServer001 | CPU Usage/Core[Basic]",
            "individual_items": [
                {
                    "key": "VolumeID",
                    "value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
                }
            ],
            "name": "CPU Usage/Core[Basic]",
            "namespace_name": "Virtual Server",
            "period": 300,
            "statistic_type": "AVG"
        }
    ],
    "period": 300,
    "start": 1640995200,
    "statistic_type": "AVG",
    "timezone": "UTC",
    "title": "Virtual Server Metric Chart",
    "width": 600
}

Example HTTP response

Response 200